{
  "name": "@multiplatform.one/keycloak",
  "version": "5.0.27",
  "description": "keycloak client for multiplatform.one ecosystem",
  "main": "dist/cjs",
  "module": "dist/esm",
  "module:jsx": "dist/jsx",
  "source": "src/index.ts",
  "types": "types/index.d.ts",
  "exports": {
    ".": {
      "types": "./types/index.d.ts",
      "import": "./dist/esm/index.js",
      "require": "./dist/cjs/index.js"
    },
    "./one": {
      "types": "./types/one.d.ts",
      "import": "./dist/esm/one.js",
      "require": "./dist/cjs/one.js"
    },
    "./emptyNextAuthReact": {
      "types": "./types/emptyNextAuthReact.d.ts",
      "import": "./dist/esm/emptyNextAuthReact.js",
      "require": "./dist/cjs/emptyNextAuthReact.js"
    },
    "./package.json": "./package.json"
  },
  "scripts": {
    "typecheck": "tsc --noEmit",
    "build": "rm -rf dist types 2>/dev/null && tamagui-build --ts-project ./tsconfig.build.json",
    "test": "vitest run --coverage --coverage.provider=v8 --coverage.reporter=text --coverage.reporter=lcov --coverage.reporter=html"
  },
  "author": "BitSpur",
  "sideEffects": false,
  "keywords": [
    "auth",
    "keycloak",
    "multiplatform",
    "multiplatform.one",
    "react"
  ],
  "homepage": "https://multiplatform.one",
  "license": "Apache-2.0",
  "files": ["dist", "routes", "src", "types"],
  "repository": {
    "type": "git",
    "url": "https://gitlab.com/risserlabs/multiplatform.one/keycloak"
  },
  "peerDependencies": {
    "@react-native-async-storage/async-storage": "1.21.0",
    "multiplatform.one": "workspace:5.0.27",
    "react": "~18.2.0"
  },
  "devDependencies": {
    "@react-native-async-storage/async-storage": "1.23.1",
    "@tamagui/build": "^1.122.6",
    "@testing-library/jest-dom": "^6.6.3",
    "@testing-library/react": "^15.0.7",
    "@types/lodash.camelcase": "^4.3.9",
    "@types/lodash.startcase": "^4.4.9",
    "@types/react": "^18.3.1",
    "@types/react-native": "^0.73.0",
    "@vitejs/plugin-react": "^4.3.4",
    "multiplatform.one": "workspace:5.0.27",
    "react": "~18.2.0",
    "typescript": "~5.3.3",
    "vitest": "^1.6.0"
  },
  "engines": {
    "node": ">=6.0.0"
  },
  "dependencies": {
    "@auth/core": "^0.36.0",
    "@multiplatform.one/authjs": "workspace:5.0.27",
    "@multiplatform.one/use-store": "workspace:5.0.27",
    "expo-auth-session": "^5.5.2",
    "expo-crypto": "^13.0.2",
    "jwt-decode": "^4.0.0",
    "keycloak-js": "^24.0.5",
    "next-auth": "^4.24.11"
  }
}
